searchData={"content_type":"text/markdown","items":[{"doc":"Base58 encoding and decoding.\n\nEvery function in this module accepts additonal optional parameter - alphabet. Default alphabet is `:bitcoin`.\n\nIt uses https://github.com/mycorrhiza/bs58-rs rust library","ref":"ExBase58.html","title":"ExBase58","type":"module"},{"doc":"","ref":"ExBase58.html#t:alphabet/0","title":"ExBase58.alphabet/0","type":"type"},{"doc":"Decodes from Base58 format","ref":"ExBase58.html#decode/2","title":"ExBase58.decode/2","type":"function"},{"doc":"iex> ExBase58.decode(\"c4oi\")\n    {:ok, \"hey\"}\n\n    iex> ExBase58.decode(\"Cn8eVZg\")\n    {:ok, \"hello\"}\n\n    iex> ExBase58.decode(\"U83eVZg\", :ripple)\n    {:ok, \"hello\"}\n\n    iex> ExBase58.decode(\"cM8DuyF\", :flickr)\n    {:ok, \"hello\"}\n\n    iex> ExBase58.decode(\"Hello\")\n    {:error, :decode_error}\n\n    iex> ExBase58.decode(\"cM8DuyF\", :meow)\n    {:error, :invalid_alphabet}\n\n    iex> ExBase58.decode(\"2gsG\")\n    {:ok, <<5, 6, 7>>}","ref":"ExBase58.html#decode/2-examples","title":"Examples - ExBase58.decode/2","type":"function"},{"doc":"Same as decode/2, but returns a string value instead of a tuple and raises if the alphabet is wrong","ref":"ExBase58.html#decode!/2","title":"ExBase58.decode!/2","type":"function"},{"doc":"iex> ExBase58.decode!(\"2gsG\")\n    <<5, 6, 7>>\n\n    iex> ExBase58.decode!(\"cM8DuyF\", :not_listed)\n    ** (ArgumentError) Invalid alphabet","ref":"ExBase58.html#decode!/2-examples","title":"Examples - ExBase58.decode!/2","type":"function"},{"doc":"Decodes binary checking checksum using the Base58Check algorithm.","ref":"ExBase58.html#decode_check/2","title":"ExBase58.decode_check/2","type":"function"},{"doc":"iex> ExBase58.decode_check(\"GZVwCXwyKVRPTViubJDVKVhVvcaKpEnqR\", :monero)\n    {:ok, <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>}\n\n    iex> ExBase58.decode_check(\"GZVAUXAyKVRPTV5ubJDVKV6Vvc2KFN8qR\", :ripple)\n    {:ok, <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>}","ref":"ExBase58.html#decode_check/2-examples","title":"Examples - ExBase58.decode_check/2","type":"function"},{"doc":"Same as decode_check/2, but returns a string value instead of a tuple and raises if the alphabet is wrong","ref":"ExBase58.html#decode_check!/2","title":"ExBase58.decode_check!/2","type":"function"},{"doc":"iex> ExBase58.decode_check!(\"GZVwCXwyKVRPTViubJDVKVhVvcaKpEnqR\", :monero)\n    <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>\n\n    iex> ExBase58.decode_check!(\"GZVwCXwyKVRPTViubJDVKVhVvcaKpEnqR\", :not_listed)\n    ** (ArgumentError) Invalid alphabet","ref":"ExBase58.html#decode_check!/2-examples","title":"Examples - ExBase58.decode_check!/2","type":"function"},{"doc":"Decodes binary checking checksum using the Base58Check algorithm. The version byte will be used in verification.","ref":"ExBase58.html#decode_check_version/3","title":"ExBase58.decode_check_version/3","type":"function"},{"doc":"iex> ExBase58.decode_check_version(\"1GZVwCXwyKVRPTViubJDVKVhVvcaEoX5cN\", 0)\n    {:ok, <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>}\n\n    iex> ExBase58.decode_check_version(\"mw5TEFcvnLvgAZyLdAGbKEi2MvDHF1HXJX\", 111)\n    {:ok, <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>}\n\n    iex> ExBase58.decode_check_version(\"mAnTNEcv8LvgwZyLdwGbKN5pMvDHErHXJX\", 111, :ripple)\n    {:ok, <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>}","ref":"ExBase58.html#decode_check_version/3-examples","title":"Examples - ExBase58.decode_check_version/3","type":"function"},{"doc":"Same as decode_check_version/3, but returns a string value instead of a tuple and raises if the alphabet is wrong","ref":"ExBase58.html#decode_check_version!/3","title":"ExBase58.decode_check_version!/3","type":"function"},{"doc":"iex> ExBase58.decode_check_version!(\"1GZVwCXwyKVRPTViubJDVKVhVvcaEoX5cN\", 0)\n    <<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>\n\n    iex> ExBase58.decode_check_version!(\"1GZVwCXwyKVRPTViubJDVKVhVvcaEoX5cN\", 0, :not_listed)\n    ** (ArgumentError) Invalid alphabet","ref":"ExBase58.html#decode_check_version!/3-examples","title":"Examples - ExBase58.decode_check_version!/3","type":"function"},{"doc":"Encodes binary into Base58 format.","ref":"ExBase58.html#encode/2","title":"ExBase58.encode/2","type":"function"},{"doc":"iex> ExBase58.encode(\"hello\")\n    {:ok, \"Cn8eVZg\"}\n\n    iex> ExBase58.encode(\"hello\", :monero)\n    {:ok, \"Cn8eVZg\"}\n\n    iex> ExBase58.encode(\"hello\", :ripple)\n    {:ok, \"U83eVZg\"}\n\n    iex> ExBase58.encode(\"hello\", :flickr)\n    {:ok, \"cM8DuyF\"}\n\n    iex> ExBase58.encode(\"hello\", :meow)\n    {:error, :invalid_alphabet}\n\n    iex> ExBase58.encode(<<5, 6, 7>>)\n    {:ok, \"2gsG\"}","ref":"ExBase58.html#encode/2-examples","title":"Examples - ExBase58.encode/2","type":"function"},{"doc":"Same as encode/2, but returns a string value instead of a tuple and raises if the alphabet is wrong","ref":"ExBase58.html#encode!/2","title":"ExBase58.encode!/2","type":"function"},{"doc":"iex> ExBase58.encode!(\"hello\")\n    \"Cn8eVZg\"\n\n    iex> ExBase58.encode!(\"hello\", :not_listed)\n    ** (ArgumentError) Invalid alphabet","ref":"ExBase58.html#encode!/2-examples","title":"Examples - ExBase58.encode!/2","type":"function"},{"doc":"Encodes binary including checksum calculated using the Base58Check algorithm","ref":"ExBase58.html#encode_check/2","title":"ExBase58.encode_check/2","type":"function"},{"doc":"iex> ExBase58.encode_check(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, :monero)\n    {:ok, \"GZVwCXwyKVRPTViubJDVKVhVvcaKpEnqR\"}\n\n    iex> ExBase58.encode_check(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, :ripple)\n    {:ok, \"GZVAUXAyKVRPTV5ubJDVKV6Vvc2KFN8qR\"}","ref":"ExBase58.html#encode_check/2-examples","title":"Examples - ExBase58.encode_check/2","type":"function"},{"doc":"Same as encode_check/2, but returns a string value instead of a tuple and raises if the alphabet is wrong","ref":"ExBase58.html#encode_check!/2","title":"ExBase58.encode_check!/2","type":"function"},{"doc":"iex> ExBase58.encode_check!(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, :monero)\n    \"GZVwCXwyKVRPTViubJDVKVhVvcaKpEnqR\"\n\n    iex> ExBase58.encode_check!(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, :not_listed)\n    ** (ArgumentError) Invalid alphabet","ref":"ExBase58.html#encode_check!/2-examples","title":"Examples - ExBase58.encode_check!/2","type":"function"},{"doc":"Encodes binary including checksum calculated using the Base58Check algorithm and version","ref":"ExBase58.html#encode_check_version/3","title":"ExBase58.encode_check_version/3","type":"function"},{"doc":"iex> ExBase58.encode_check_version(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, 0)\n    {:ok, \"1GZVwCXwyKVRPTViubJDVKVhVvcaEoX5cN\"}\n\n    iex> ExBase58.encode_check_version(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, 111)\n    {:ok, \"mw5TEFcvnLvgAZyLdAGbKEi2MvDHF1HXJX\"}\n\n    iex> ExBase58.encode_check_version(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, 111, :ripple)\n    {:ok, \"mAnTNEcv8LvgwZyLdwGbKN5pMvDHErHXJX\"}","ref":"ExBase58.html#encode_check_version/3-examples","title":"Examples - ExBase58.encode_check_version/3","type":"function"},{"doc":"Same as encode_check_version/3, but returns a string value instead of a tuple and raises if the alphabet is wrong","ref":"ExBase58.html#encode_check_version!/3","title":"ExBase58.encode_check_version!/3","type":"function"},{"doc":"iex> ExBase58.encode_check_version!(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, 0)\n    \"1GZVwCXwyKVRPTViubJDVKVhVvcaEoX5cN\"\n\n    iex> ExBase58.encode_check_version!(<<170, 175, 89, 206, 129, 197, 74, 82, 170, 144, 47, 81, 120, 199, 251, 203, 167, 32, 54, 7>>, 0, :not_listed)\n    ** (ArgumentError) Invalid alphabet","ref":"ExBase58.html#encode_check_version!/3-examples","title":"Examples - ExBase58.encode_check_version!/3","type":"function"}],"producer":{"name":"ex_doc","version":"0.37.2"},"proglang":"elixir"}